List Sources
curl --request GET \
--url https://crm.universal.rollout.com/api/sources \
--header 'Authorization: Bearer <token>' \
--header 'X-Rollout-Credential-Id: <api-key>'import requests
url = "https://crm.universal.rollout.com/api/sources"
headers = {
"Authorization": "Bearer <token>",
"X-Rollout-Credential-Id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Rollout-Credential-Id': '<api-key>'}
};
fetch('https://crm.universal.rollout.com/api/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://crm.universal.rollout.com/api/sources",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Rollout-Credential-Id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://crm.universal.rollout.com/api/sources"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Rollout-Credential-Id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://crm.universal.rollout.com/api/sources")
.header("Authorization", "Bearer <token>")
.header("X-Rollout-Credential-Id", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://crm.universal.rollout.com/api/sources")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Rollout-Credential-Id"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"_metadata": {
"collection": "sources",
"offset": 123,
"limit": 123,
"total": 123,
"next": "<string>",
"nextLink": "<string>"
},
"sources": [
{
"id": "<string>",
"name": "<string>",
"originalIds": {},
"original": {}
}
]
}{
"errorMessage": "<string>"
}{
"errorMessage": "Data for this credential is not ready yet. Please try again."
}Sources
List Sources
GET
/
sources
List Sources
curl --request GET \
--url https://crm.universal.rollout.com/api/sources \
--header 'Authorization: Bearer <token>' \
--header 'X-Rollout-Credential-Id: <api-key>'import requests
url = "https://crm.universal.rollout.com/api/sources"
headers = {
"Authorization": "Bearer <token>",
"X-Rollout-Credential-Id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Rollout-Credential-Id': '<api-key>'}
};
fetch('https://crm.universal.rollout.com/api/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://crm.universal.rollout.com/api/sources",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Rollout-Credential-Id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://crm.universal.rollout.com/api/sources"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Rollout-Credential-Id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://crm.universal.rollout.com/api/sources")
.header("Authorization", "Bearer <token>")
.header("X-Rollout-Credential-Id", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://crm.universal.rollout.com/api/sources")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Rollout-Credential-Id"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"_metadata": {
"collection": "sources",
"offset": 123,
"limit": 123,
"total": 123,
"next": "<string>",
"nextLink": "<string>"
},
"sources": [
{
"id": "<string>",
"name": "<string>",
"originalIds": {},
"original": {}
}
]
}{
"errorMessage": "<string>"
}{
"errorMessage": "Data for this credential is not ready yet. Please try again."
}Authorizations
Consumer JWT minted by the tenant's backend
The Rollout Credential ID to use for queries/mutations
Query Parameters
Available options:
id Cursor of the page to return, from the previous page's _metadata.next. Can't be combined with offset.
Number of records to skip, for offset paging. Defaults to 0. Can't be combined with next.
Records per page, capped at 100.
Comma-separated top-level fields to return; the parameter can also be repeated, once per field. id is always returned. Omit it, or pass allFields, to get every field, including original. Unknown names return 400.